# Maintainer: Antoni Aloy Torrens <aaloytorrens@gmail.com>
pkgname=freetube
pkgver=0.19.1
pkgrel=0
pkgdesc="Open source desktop YouTube player built with privacy in mind"
arch=('amd64')
url='https://github.com/FreeTubeApp/FreeTube'
license=('AGPL3')
depends=('fonts-liberation' 'fonts-liberation2')

# Do not load strip extension
extensions=("zipman")

source=("${pkgname}_${pkgver}-${pkgrel}_amd64.deb"::"https://github.com/FreeTubeApp/FreeTube/releases/download/v$pkgver-beta/${pkgname}_${pkgver}_amd64.deb")

prepare() {
    mkdir data
    bsdtar -x -f data.tar.xz -C data
}

package() {
    install -d "$pkgdir/usr/bin"
    cp -a  ${srcdir}/data/* ${pkgdir}/
    ln -s "/opt/FreeTube/$pkgname" "$pkgdir/usr/bin/$pkgname"
}

sha256sums=('75a4441b8a5ec3cf5937fa867391554dad6bf118a99496af1dfc6b8dc2437ef6')
